<?php
if(file_exists("../../config/config_dir_raiz.php")) { require_once("../../config/config_dir_raiz.php"); } elseif(file_exists("config/config_dir_raiz.php")) { require_once("config/config_dir_raiz.php"); }
$config = new Config();
require_once($config->diretorio_raiz()."/src/model/bd/Bi_colunas_layout_impDAO.php");
$bi_colunas_layout_impDAO = new Bi_colunas_layout_impDAO();
require_once($config->diretorio_raiz()."/src/model/bd/Bi_layout_importacaoDAO.php");
$bi_layout_importacaoDAO = new Bi_layout_importacaoDAO(); 
$retorno = array();
if (isset($_GET["mod"]) && $_GET["mod"] == "form")
{
	if ( (isset($_GET["codigo"]) and $_GET["codigo"] != "")  )
	{
		$bi_colunas_layout_imp = $bi_colunas_layout_impDAO->buscarBi_colunas_layout_imp($_GET["codigo"]);
	}else{
		$bi_colunas_layout_imp = new Bi_colunas_layout_imp();
		$bi_colunas_layout_imp->setLayout(new Bi_layout_importacao());
	}
	$listaLayout = $bi_layout_importacaoDAO->listarTodosRegistros(); 
	if (isset($_GET["layout"]) and $_GET["layout"] != "")
	{
		$bi_colunas_layout_imp->setLayout($bi_layout_importacaoDAO->buscarBi_layout_importacao($_GET["layout"]));
		$campo_buscar = "&layout=".$_GET["layout"]; 
	}
	include_once($config->diretorio_raiz()."/src/view/bi_colunas_layout_imp/Formulario.php");
}
elseif (isset($_GET["mod"]) && ($_GET["mod"] == "salvar" or $_GET["mod"] == "alterar"))
{
	$bi_colunas_layout_imp = new Bi_colunas_layout_imp();
	$bi_colunas_layout_imp->setCodigo($_POST['codigo']);
	$bi_colunas_layout_imp->setLayout($_POST['layout']);
	$bi_colunas_layout_imp->setColuna($_POST['coluna']);
	$bi_colunas_layout_imp->setTipo($_POST['tipo']);
	$bi_colunas_layout_imp->setMascara($_POST['mascara']);
	$bi_colunas_layout_imp->setTamanho($_POST['tamanho']);
	$bi_colunas_layout_imp->setQtd_decimais($_POST['qtd_decimais']);
	$codigo = "";
	if ($_GET["mod"] == "alterar")
	{
		$bi_colunas_layout_imp->setCodigo($_POST['codigo']);
		$codigo = $bi_colunas_layout_imp->getCodigo();
		try
		{
			$retorno["mensagem"] = "Alterado com sucesso!";
			$retorno["status"] = true;
			$bi_colunas_layout_impDAO->atualizar($bi_colunas_layout_imp);
		}
		catch (Exception  $e)
		{
			$retorno["mensagem"] = $e->getMessage();
			$retorno["status"] = false;
		}
	}
	else
	{
		try
		{
			$retorno["mensagem"] = "Inserido com sucesso!";
			$retorno["status"] = true;
			$codigo = $bi_colunas_layout_impDAO->salvar($bi_colunas_layout_imp);
		}
		catch (Exception  $e)
		{
			$retorno["mensagem"] = $e->getMessage();
			$retorno["status"] = false;
		}
	}
	echo json_encode($retorno);
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "excluir")
{
	try
	{
		$bi_colunas_layout_imp = $bi_colunas_layout_impDAO->buscarBi_colunas_layout_imp($_GET["codigo"]);
		$bi_colunas_layout_impDAO->excluir($bi_colunas_layout_imp);
		$retorno["mensagem"] = utf8_decode("Excluido com sucesso!");
		$retorno["status"] = true;
	}
	catch (Exception  $e)
	{
		$retorno["mensagem"] = $e->getMessage();
		$retorno["status"] = false;
	}
	echo json_encode($retorno);
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "listar")
{
	if (isset($_GET["layout"]) and $_GET["layout"] != "")
	{
		$campo_buscar = "&layout=".$_GET["layout"]; 
	}
	$listaBi_colunas_layout_imp = $bi_colunas_layout_impDAO->listarTodosRegistros();
	include_once($config->diretorio_raiz()."/src/view/bi_colunas_layout_imp/Listar_todos_registros.php");
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "filtro")
{
	if ( (isset($_GET["codigo"]) and $_GET["codigo"] != "")  )
	{
		$bi_colunas_layout_imp = $bi_colunas_layout_impDAO->buscarBi_colunas_layout_imp($_GET["codigo"]);
	}else{
		$bi_colunas_layout_imp = new Bi_colunas_layout_imp();
		$bi_colunas_layout_imp->setLayout(new Bi_layout_importacao());
	}
	$listaLayout = $bi_layout_importacaoDAO->listarTodosRegistros(); 
	if (isset($_GET["layout"]) and $_GET["layout"] != "")
	{
		$bi_colunas_layout_imp->setLayout($bi_layout_importacaoDAO->buscarBi_layout_importacao($_GET["layout"]));
		$campo_buscar = "&layout=".$_GET["layout"]; 
	}
	include_once($config->diretorio_raiz()."/src/view/bi_colunas_layout_imp/Filtro_lista_registros.php");
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "busca_por_campo_filtro")
{
	$entrouEmAlgumFiltro = false;
 	$where = " where 1=1";
	if(isset($_GET['codigo']) and $_GET["codigo"] != "" )
	{
		$where .= " and UPPER(codigo) like '%".strtoupper($_GET['codigo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&codigo=".$_GET["codigo"]; 
	}
	if(isset($_POST['codigo']) and $_POST["codigo"] != "" )
	{
		$where .= " and UPPER(codigo) like '%".strtoupper($_POST['codigo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&codigo=".$_POST["codigo"]; 
	}
	if(isset($_GET['layout']) and $_GET['layout'] != "")
	{
		$where .= " and layout = ". $_GET['layout'];
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&layout=".$_GET["layout"]; 
	}
	if(isset($_POST['layout']) and $_POST['layout'] != "")
	{
		$where .= " and layout = ". $_POST['layout'];
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&layout=".$_POST["layout"]; 
	}
	if(isset($_GET['coluna']) and $_GET["coluna"] != "" )
	{
		$where .= " and UPPER(coluna) like '%".strtoupper($_GET['coluna'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&coluna=".$_GET["coluna"]; 
	}
	if(isset($_POST['coluna']) and $_POST["coluna"] != "" )
	{
		$where .= " and UPPER(coluna) like '%".strtoupper($_POST['coluna'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&coluna=".$_POST["coluna"]; 
	}
	if(isset($_GET['tipo']) and $_GET["tipo"] != "" )
	{
		$where .= " and UPPER(tipo) like '%".strtoupper($_GET['tipo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&tipo=".$_GET["tipo"]; 
	}
	if(isset($_POST['tipo']) and $_POST["tipo"] != "" )
	{
		$where .= " and UPPER(tipo) like '%".strtoupper($_POST['tipo'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&tipo=".$_POST["tipo"]; 
	}
	if(isset($_GET['mascara']) and $_GET["mascara"] != "" )
	{
		$where .= " and UPPER(mascara) like '%".strtoupper($_GET['mascara'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&mascara=".$_GET["mascara"]; 
	}
	if(isset($_POST['mascara']) and $_POST["mascara"] != "" )
	{
		$where .= " and UPPER(mascara) like '%".strtoupper($_POST['mascara'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&mascara=".$_POST["mascara"]; 
	}
	if(isset($_GET['tamanho']) and $_GET["tamanho"] != "" )
	{
		$where .= " and UPPER(tamanho) like '%".strtoupper($_GET['tamanho'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&tamanho=".$_GET["tamanho"]; 
	}
	if(isset($_POST['tamanho']) and $_POST["tamanho"] != "" )
	{
		$where .= " and UPPER(tamanho) like '%".strtoupper($_POST['tamanho'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&tamanho=".$_POST["tamanho"]; 
	}
	if(isset($_GET['qtd_decimais']) and $_GET["qtd_decimais"] != "" )
	{
		$where .= " and UPPER(qtd_decimais) like '%".strtoupper($_GET['qtd_decimais'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&qtd_decimais=".$_GET["qtd_decimais"]; 
	}
	if(isset($_POST['qtd_decimais']) and $_POST["qtd_decimais"] != "" )
	{
		$where .= " and UPPER(qtd_decimais) like '%".strtoupper($_POST['qtd_decimais'])."%'";
		$entrouEmAlgumFiltro = true;
		$campo_buscar = "&qtd_decimais=".$_POST["qtd_decimais"]; 
	}
	$listaBi_colunas_layout_imp = $bi_colunas_layout_impDAO->buscarFiltro($where);
	include_once($config->diretorio_raiz()."/src/view/bi_colunas_layout_imp/Listar_todos_registros.php");
}
